import { useState } from 'react'
import { Image } from '@tarojs/components'
import { getImgURL } from '@/utils/image'
import './index.scss'

export default function FixedCard () {

  const [Show, setShow] = useState(false)

  const TriggerShow = (bool) => {
    return () => {
      setShow(bool)
    }
  }

  return (
    <view className='components FixedCard'>
      <view className='Icon' onClick={TriggerShow(true)}>
        <Image mode='aspectFill' src={null}></Image>
      </view>
      <view className='Name'>
        <text>李双舟</text>
        <text style={{display: Show ? 'block' : 'none'}}>南京云致科技服务有限公司</text>
      </view>
      <text style={{display: Show ? 'inline-block' : 'none'}} className='iconfont icon-liaotian Btn'></text>
      <text style={{display: Show ? 'inline-block' : 'none'}} className='iconfont icon-dianhua1 Btn'></text>
      <text style={{display: Show ? 'inline-block' : 'none'}} className='iconfont icon-guanbi Btn' onClick={TriggerShow(false)}></text>
      <text style={{display: Show ? 'none' : 'inline-block'}} className='iconfont icon-jiantouright'></text>
    </view>
  )
}
